typedef struct BITMAP16 {
	int w, h;
    long linew;	/* width of line in pixels (includes padding */
	int bpp;
    unsigned char **lines;
    unsigned char *bits;
} BITMAP16;

void bmp_free( BITMAP16 *bmp );
BITMAP16 *bmp_create( int w, int h );
BITMAP16 *bmp_load( char *fname );
int bmp_save( BITMAP16 *bmp, char *fname );
int bmp_putpixel( BITMAP16 *bmp, int x, int y, int c );
int bmp_getpixel( BITMAP16 *bmp, int x, int y );
void bmp_rect( BITMAP16 *bmp, int x1, int y1, int x2, int y2, int c );

